5.2.0-git
2014-07-22

[#7653] Support for multiple image sizes in the Image View
Summary Support for multiple image sizes in the Image View
Queue Ansel
Queue Version Git master
Type Enhancement
State Accepted
Priority 1. Low
Owners
Requester mrubinsk (at) horde (dot) org
Created 2008-11-06 (2084 days ago)
Due
Updated 2011-08-14 (1073 days ago)
Assigned
Resolved
Milestone 2.1
Patch No

History
2011-08-14 02:59:42 Michael Rubinsky Comment #4
Milestone ⇒ 2.1
Reply to this comment
Sadly, won't get to this before 2.1
2010-09-26 15:26:35 Michael Rubinsky Milestone ⇒ 2
 
2009-08-02 13:56:46 Michael Rubinsky Version ⇒ Git master
 
2008-11-07 20:25:12 Chuck Hagenbuch State ⇒ Accepted
 
2008-11-07 04:48:46 Michael Rubinsky Comment #3 Reply to this comment
The original idea came about from Ben's users wanting to "override" 
the size for screen images for certain images - like panoramic photos, 
they wanted a larger image size for the panoramic photos, while 
leaving the traditionally sized images at the default size.



During our discussion I investigated what "Gallery" does, and they 
allow a per-image setting that is selectable on the image view (unless 
it's turned off by the admin) - they also allow setting the image 
proportions on each property page.



Not saying we should do what they do, but it's an idea to toss around. 
  I *do* think that having some mechanism for allowing specific images 
to be displayed with an alternative screen size without having to have 
the entire gallery have to respect the same size would be useful - 
having the user be able to switch between the sizes on-the-fly from 
the image view was just taking it a bit further - I'm not that tied to 
it. Keep in mind that this will not affect the sizing of the 
thumbnails (and hence the layout of the gallery views).
2008-11-07 03:30:06 Chuck Hagenbuch Comment #2
State ⇒ Feedback
Reply to this comment
What's the goal/use case here? Making this settable per-gallery, or 
per-theme, is one thing, but per-image is harder for me to grok.
2008-11-06 23:58:00 Michael Rubinsky Comment #1
State ⇒ New
Patch ⇒ No
Milestone ⇒
Queue ⇒ Ansel
Summary ⇒ Support for multiple image sizes in the Image View
Type ⇒ Enhancement
Priority ⇒ 1. Low
Reply to this comment
To summarize some IRC discussion with bklang:



Provide a way to specify per-image the image geometry of the "screen" 
image - ideally we should allow the user to choose from a list of 
available sizes to view on the Image view.  The available sizes could 
possibly be an admin configurable setting...another thought is to have 
the user select the size in the image properties.



All just initial thoughts/brainstorming so any thoughts, ideas are 
most welcome.